package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttGrpjBase;
import com.goldenwater.slgc.mapper.AttGrpjBaseMapper;
import com.goldenwater.slgc.service.GrpjService;

/** 沟渠信息 业务实现 */
@Service
public class GrpjServiceImpl implements GrpjService {
    @Autowired
    private AttGrpjBaseMapper attGrpjBaseMapper;

    @Override
    public List<AttGrpjBase> selectAttGrpjBaseList(AttGrpjBase attGrpjBase) {
        return attGrpjBaseMapper.selectAttGrpjBaseList(attGrpjBase);
    }

    @Override
    public AttGrpjBase selectAttGrpjBaseById(String grpjCode) {
        return attGrpjBaseMapper.selectAttGrpjBaseById(grpjCode);
    }

    @Override
    public int deleteAttGrpjBaseByIds(String[] grpjCodes) {
        return attGrpjBaseMapper.deleteAttGrpjBaseByIds(grpjCodes);
    }

    @Override
    public int insertAttGrpjBase(AttGrpjBase attGrpjBase) {
        return attGrpjBaseMapper.insertAttGrpjBase(attGrpjBase);
    }

    @Override
    public int updateAttGrpjBase(AttGrpjBase attGrpjBase) {
        return attGrpjBaseMapper.updateAttGrpjBase(attGrpjBase);
    }
}
